Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::for_each_n_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename F , typename P = ident, requires = (InputIterator<I>() && MoveIndirectInvocable<F, projected<I, P>>())>
I | operator() (I begin, difference_type_t< I > n, F fun, P proj=P{}) const
template<typename Rng , typename F , typename P = ident, requires = (InputRange<Rng>() && MoveIndirectInvocable<F, projected<iterator_t<Rng>, P>>())>
safe_iterator_t< Rng > | operator() (Rng &&rng, range_difference_type_t< Rng > n, F fun, P proj=P{}) const